/*
 * Class STRING_ITERATION_CURSOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_579 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_579 [] = {0xFF01,1551,578,0xFFFF};
static const EIF_TYPE_INDEX egt_2_579 [] = {0xFF01,578,0xFFFF};
static const EIF_TYPE_INDEX egt_3_579 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_579 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_579 [] = {0xFF01,578,0xFFFF};
static const EIF_TYPE_INDEX egt_6_579 [] = {0xFF01,578,0xFFFF};
static const EIF_TYPE_INDEX egt_7_579 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_579 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_579 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_579 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_579 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_579 [] = {0xFF01,578,0xFFFF};
static const EIF_TYPE_INDEX egt_13_579 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_14_579 [] = {842,0xFFFF};
static const EIF_TYPE_INDEX egt_15_579 [] = {0xFF01,578,0xFFFF};
static const EIF_TYPE_INDEX egt_16_579 [] = {842,0xFFFF};


static const struct desc_info desc_579[] = {
	{EIF_GENERIC(NULL), 10564, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_579), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_579), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_579), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_579), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_579), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_579), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_579), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_579), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_579), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_579), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_579), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_579), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0485 /*578*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_579), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10553, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10556, 4},
	{EIF_GENERIC(NULL), 10559, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_579), 10561, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10562, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10563, 12},
	{EIF_NON_GENERIC(0x0695 /*842*/), 10555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10558, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10560, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_579), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_579), 10557, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_579), -1, 0xFFFFFFFF},
};
void Init579(void)
{
	IDSC(desc_579, 0, 578);
	IDSC(desc_579 + 1, 1, 578);
	IDSC(desc_579 + 32, 301, 578);
	IDSC(desc_579 + 39, 1449, 578);
	IDSC(desc_579 + 43, 1088, 578);
}


#ifdef __cplusplus
}
#endif
